Skip to main content
POST
/
apps
/
{appId}
/
paper-trading
/
accounts
/
{accountId}
/
orders
Place a paper trading order
curl --request POST \
  --url https://api.agg.market/apps/{appId}/paper-trading/accounts/{accountId}/orders \
  --header 'Content-Type: application/json' \
  --header 'x-app-api-key: <api-key>' \
  --data '
{
  "venueMarketOutcomeId": "<string>",
  "spendRaw": "<string>",
  "spend": 1,
  "shares": 1,
  "slippageBps": 5000,
  "clientOrderId": "<string>"
}
'
{
  "id": "<string>",
  "accountId": "<string>",
  "venue": "<string>",
  "venueMarketId": "<string>",
  "venueMarketOutcomeId": "<string>",
  "marketQuestion": "<string>",
  "outcomeLabel": "<string>",
  "clientOrderId": "<string>",
  "requestedSpendRaw": "<string>",
  "requestedSpend": 123,
  "requestedShares": 123,
  "filledShares": 123,
  "avgPrice": 123,
  "slippageBps": 123,
  "notionalRaw": "<string>",
  "notional": 123,
  "cashDeltaRaw": "<string>",
  "cashDelta": 123,
  "realizedPnlRaw": "<string>",
  "realizedPnl": 123,
  "rejectionReason": "<string>",
  "createdAt": "<string>"
}

Authorizations

x-app-api-key
string
header
required

App-scoped API key for programmatic app management.

Path Parameters

appId
string
required
accountId
string
required

Body

application/json
venueMarketOutcomeId
string
required
side
enum<string>
required
Available options:
buy,
sell
spendRaw
string
Pattern: ^[0-9]+$
spend
number
Required range: x > 0
shares
number
Required range: x > 0
slippageBps
number
Required range: 0 <= x <= 10000
clientOrderId
string
Required string length: 1 - 160

Response

201

id
string
required
accountId
string
required
venue
string
required
venueMarketId
string
required
venueMarketOutcomeId
string
required
marketQuestion
string
required
outcomeLabel
string
required
side
enum<string>
required
Available options:
buy,
sell
status
enum<string>
required
Available options:
filled,
rejected
clientOrderId
string | null
required
requestedSpendRaw
string | null
required
requestedSpend
number | null
required
requestedShares
number | null
required
filledShares
number
required
avgPrice
number | null
required
slippageBps
number | null
required
notionalRaw
string
required
notional
number
required
cashDeltaRaw
string
required
cashDelta
number
required
realizedPnlRaw
string
required
realizedPnl
number
required
rejectionReason
string | null
required
createdAt
string
required